import es, os, popuplib

rulesListPath = os.path.join( str(es.ServerVar("eventscripts_gamedir")), "addons/eventscripts/easyrules/ruleslist.txt")
fileHandle = open(rulesListPath, "rb")
fileLines = fileHandle.readlines()
fileHandle.close()

rules = filter(bool, map(lambda x: x[:x.find("//")] if x.find("//") > -1 else x, map(lambda x: x.strip(), fileLines)))

info = es.AddonInfo()
info.name = 'Easy Rules'
info.version = '1.3'
info.url = 'http://addons.eventscripts.com/addons/view/Easyrules'
info.basename = 'easyrules'
info.author = 'Deathyy'

es.ServerVar('easyrules_ver', info['version'], 'Very simple rules menu, you must agree to the rules when you join.').makepublic()

# NO TOUCHY!!!
# EDIT : "ADDONS/EVENTSCRIPTS/EASYRULES/ruleslist.txt" !!!!!!

def load():
    global rules_list
    rules_list = popuplib.create('rules_list')
    for rule in rules:
        rules_list.addline(rule)
    rules_list.addline('->1. I accept the rules')
    rules_list.addline('->2. I do not accept the rules')
    rules_list.menuselect = rulesSelection
    
def player_activate(ev):
    rules_list.send(ev['userid'])
    
def rulesSelection(userid, choice, popupid):
    if choice == 1:
        es.tell(userid, '#multi', '#green[Easy Rules] #defaultYou have accepted the rules, play fair and have fun!')
    elif choice == 2:
        es.server.queuecmd('kickid %s "You must accept the rules!"'%userid)
    elif choice >= 3: 
        rules_list.send(userid)